package org.expressolivre.cte.common;

import org.expressolivre.cte.pages.email.ExpressoMailAdminPreferencesPage;
import org.expressolivre.cte.pages.email.ExpressoMailPreferencesPage;
import org.openqa.selenium.support.PageFactory;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Feb 18, 2011 at 2:26:23 PM
 * 
 */
public class PreferencesTestCase extends BaseTestCase {

	/**
	 * Abre pagina de preferencias do modulo ExpressoMail
	 * 
	 * @return
	 */
	public ExpressoMailPreferencesPage openEmailPreferencesPage() {
		driver.get(URL_PREFERENCES_EMAIL);
		return PageFactory.initElements(driver,
				ExpressoMailPreferencesPage.class);
	}

	/**
	 * Abre pagina de preferencias administrativas do modulo ExpressoMail.
	 * 
	 * @return
	 */
	public ExpressoMailAdminPreferencesPage openEmailAdminPreferencesPage() {
		driver.get(URL_PREFERENCES_EMAIL);
		return PageFactory.initElements(driver,
				ExpressoMailAdminPreferencesPage.class);
	}

	/**
	 * Abre pagina de preferencias administrativas do modulo ExpressoMail.
	 * 
	 * @return
	 */
	public ExpressoMailAdminPreferencesPage openEmailAdminDefaultPreferencesPage() {
		driver.get(URL_DEFAULT_PREFERENCES_EMAIL);
		return PageFactory.initElements(driver,
				ExpressoMailAdminPreferencesPage.class);
	}

	/**
	 * Abre pagina de preferencias administrativas do modulo ExpressoMail.
	 * 
	 * @return
	 */
	public ExpressoMailAdminPreferencesPage openEmailAdminForcedPreferencesPage() {
		driver.get(URL_FORCED_PREFERENCES_EMAIL);
		return PageFactory.initElements(driver,
				ExpressoMailAdminPreferencesPage.class);
	}

}
